# OpalPCAPFile::Frame Class Reference

`#include <pcapfile.h>`

## Public Member Functions

| Frame ()
virtual bool | Read (PChannel &channel, PINDEX packetSize=P_MAX_INDEX)

## Data Fields

bool | m_otherEndian

## Constructor & Destructor Documentation

OpalPCAPFile::Frame::Frame | ( |  | ) | `[inline]`

## Member Function Documentation

virtual bool OpalPCAPFile::Frame::Read | ( | PChannel & | channel,
|  | PINDEX | packetSize = `P_MAX_INDEX` |
| ) |  |  | `[virtual]`

## Field Documentation

bool OpalPCAPFile::Frame::m_otherEndian

The documentation for this class was generated from the following file:

- pcapfile.h